Subject: Re: support git+mosh for unreliable connections

From: Pirate Praveen <[email-masked]>
Date: Wed, 15 Apr 2015 19:48:22 +0530

On Wednesday 15 April 2015 07:22 PM, Michael J Gruber wrote:
> What would that require git to do, beyond taking whatever you tell it
> (using GIT_SSH or _GIT_SSH_COMMAND) to use as a drop in replacement for ssh?
> 
> Michael
> 

May be support git+mosh as a protocol, since it is not a drop in
replacement. It is redesigned remote shell. The ideas it uses for
session resumption needs to be reimplemented. This will need support
from git, because it needs server side to be modified. Use SSP to return
the the current progress for a particular session (it uses AES session ids).

So when a client connect with a session id, git server side can respond
with the current state, how many objects received in that session, and
client can continue from where it stopped. Client also will need to
store session information.